// 海龟汤游戏数据类型
export interface ITurtleSoupGame {
    id: string;
    title: string;
    story: string;
    solution: string;
    hints: string[];
    questions: ITurtleSoupQuestion[];
    // 其他海龟汤特有属性
  }
  
  export interface ITurtleSoupQuestion {
    id: string;
    content: string;
    answer: string;
    askedBy: string;
    timestamp: number;
  }
  
  export interface ITurtleSoupGameResult {
    solved: boolean;
    solvedBy?: string;
    timeUsed: number;
    questionsCount: number;
    hintsUsed: number[];
  }