// 明确定义接口类型
export interface IUserInfo {
    openid: string;
    nickname?: string;
    avatar?: string;
    role?: string;
  }
  
  export interface IOpenIdResult {
    openid: string;
    [key: string]: any;
  }
  
  export interface IApiResult<T> {
    success: boolean;
    data?: T;
    message?: string;
  }